| Linduino 1.3.0 Linear Technology Arduino-Compatible Demonstration Board

Functions
LTC2373.cpp File Reference
Analog-to-Digital Converters (ADC) » LTC2373: 16/18-bit 1Msps 8 channel SAR ADC

Library for LTC2373: 16/18-bit 1Msps 8 channel SAR ADC. More...

## Detailed Description

Library for LTC2373: 16/18-bit 1Msps 8 channel SAR ADC.

Definition in file LTC2373.cpp.

Go to the source code of this file.

## Functions
uint8_t | LTC2373_build_command (uint8_t sequencer_bit, uint8_t ch_designate, uint8_t range_select, uint8_t gain_compression)
void | LTC2373_read (uint8_t cs, uint8_t adc_command, uint32_t *ptr_adc_code)
| Reads the LTC2373 and returns 32-bit data. More...
void | LTC2373_configure (uint8_t cs, uint32_t adc_configure)
| Configures the LTC2373. More...
float | LTC2373_code_to_voltage (uint8_t adc_command, uint32_t adc_code, float vref)
| Calculates the LTC2373 input voltage given the binary data and lsb weight. More...

## Function Documentation

## ◆ LTC2373_build_command()

uint8_t LTC2373_build_command | ( | uint8_t | sequencer_bit,
|  | uint8_t | ch_designate,
|  | uint8_t | range_select,
|  | uint8_t | gain_compression
| ) |  |

Definition at line 79 of file LTC2373.cpp.

## ◆ LTC2373_code_to_voltage()

float LTC2373_code_to_voltage | ( | uint8_t | adc_command,
|  | uint32_t | adc_code,
|  | float | vref
| ) |  |

Calculates the LTC2373 input voltage given the binary data and lsb weight.

Returns
  Floating point voltage

Parameters

  adc_code | Raw ADC code
  vref | Reference voltage

Definition at line 134 of file LTC2373.cpp.

## ◆ LTC2373_configure()

void LTC2373_configure | ( | uint8_t | cs,
|  | uint32_t | adc_command
| ) |  |

Configures the LTC2373.

Returns
  void

Definition at line 114 of file LTC2373.cpp.

## ◆ LTC2373_read()

void LTC2373_read | ( | uint8_t | cs,
|  | uint8_t | adc_command,
|  | uint32_t * | ptr_adc_code
| ) |  |

Reads the LTC2373 and returns 32-bit data.

Returns
  void

Parameters

  cs | Chip Select Pin
  ptr_adc_code | Returns code read from ADC (from previous conversion)

Definition at line 89 of file LTC2373.cpp.